Blog

Keep up-to-date with Clash of Clans
Logo

End of Support for Devices Running on Android 4.0.4 And Below

Due to technical reasons beyond our control, in the wake of the recent Town Hall 12 update, we were unfortunately forced to end support for all Android devices running on versions lower than 4.0.4 (Ice Cream Sandwich).

If your device is currently running on version of 4.0.4 or lower, you will no longer be able to play Clash of Clans unless you update to the latest version. Please update to version 4.1 (or higher) as soon as possible.

Instructions on how to update your Android device can be found through the Android Support website.

To safeguard your Village, we recommend linking your account with a Supercell ID. For more information on how to link your account to a Supercell ID and transfer your Village to a new device, please check our FAQs.

- The Clash of Clans team

Back to top